package com.dk.mdm.service.mst;

import com.dk.mdm.model.pojo.mst.MeasureRoom;
import com.dk.mdm.mapper.mst.MeasureRoomMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class MeasureRoomService extends BaseService<MeasureRoom> {

	@Override
	public BaseMapper<MeasureRoom> getRepository() {
		return measureRoomMapper;
	}

	@Autowired
	private MeasureRoomMapper measureRoomMapper;

	@Override
	public String getPrimaryKey() {
		return "room_id";
	}

}
